Debian Bug report logs - #696024
ITP: libclass-forward-perl -- class dispatcher that handles namespaces like paths

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: gregor herrmann <gregoa@debian.org>

Date: Sat, 15 Dec 2012 22:27:01 UTC

Owned by: gregor herrmann <gregoa@debian.org>

Severity: wishlist

Fixed in version libclass-forward-perl/0.8-1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#696024; Package wnpp. (Sat, 15 Dec 2012 22:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Sat, 15 Dec 2012 22:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libclass-forward-perl -- class dispatcher that handles namespaces like paths
Date: Sat, 15 Dec 2012 23:23:55 +0100
Package: wnpp
Owner: gregor herrmann <gregoa@debian.org>
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org,debian-perl@lists.debian.org

* Package name    : libclass-forward-perl
  Version         : 0.8
  Upstream Author : Al Newkirk <anewkirk@ana.io>
* URL             : https://metacpan.org/release/Class-Forward/
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : class dispatcher that handles namespaces like paths

Class::Forward is designed to simply return class names or dispatch method
calls using shorthand. It uses file-system path specification conventions to
match against class namespaces.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 17 Dec 2012 07:09:07 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Wed, 09 Jan 2013 18:03:29 GMT) Full text and rfc822 format available.

Notification sent to gregor herrmann <gregoa@debian.org>:
Bug acknowledged by developer. (Wed, 09 Jan 2013 18:03:29 GMT) Full text and rfc822 format available.

Message #12 received at 696024-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 696024-close@bugs.debian.org
Subject: Bug#696024: fixed in libclass-forward-perl 0.8-1
Date: Wed, 09 Jan 2013 18:00:08 +0000
Source: libclass-forward-perl
Source-Version: 0.8-1

We believe that the bug you reported is fixed in the latest version of
libclass-forward-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 696024@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated libclass-forward-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 15 Dec 2012 23:27:43 +0100
Source: libclass-forward-perl
Binary: libclass-forward-perl
Architecture: source all
Version: 0.8-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libclass-forward-perl - class dispatcher that handles namespaces like paths
Closes: 696024
Changes: 
 libclass-forward-perl (0.8-1) unstable; urgency=low
 .
   * Initial release (closes: #696024).
Checksums-Sha1: 
 d2f537d5057fd9f7023d2b7e28948fedaa726f0d 2084 libclass-forward-perl_0.8-1.dsc
 77e1cd6730b25d4ec3bd14b58fc9e5a7cd9c2e23 10938 libclass-forward-perl_0.8.orig.tar.gz
 cfcf646db8d2f74d0730a4b282cf4a829b8780ce 1359 libclass-forward-perl_0.8-1.debian.tar.gz
 cd94549b4cb33b750f6d364dc9355a7234577311 7696 libclass-forward-perl_0.8-1_all.deb
Checksums-Sha256: 
 bfdd7e3304c8fd06b75df5766a2fae1bc38920a3489ee5fa6f7b06549ffcc317 2084 libclass-forward-perl_0.8-1.dsc
 9181adc2b206ebffa0af2ff237a14a9f25387103dc45ea65dc6e02e9ede39a8f 10938 libclass-forward-perl_0.8.orig.tar.gz
 79f5f2d4a2559d1ff8ec608a75a63242f527e564d4c3d5603d13338b4b1aa518 1359 libclass-forward-perl_0.8-1.debian.tar.gz
 f95278b8c6de2268af986da6d004ccc8728dea1364b3a0c7c4c4627d08d312c7 7696 libclass-forward-perl_0.8-1_all.deb
Files: 
 a34f2f10fd4496e01170d3aa19c10498 2084 perl optional libclass-forward-perl_0.8-1.dsc
 0d133d4e056bd566e47338a594457efb 10938 perl optional libclass-forward-perl_0.8.orig.tar.gz
 13ac210da840f13118c9e430aa8dcac7 1359 perl optional libclass-forward-perl_0.8-1.debian.tar.gz
 b0c2626004574432c875bb6041a58250 7696 perl optional libclass-forward-perl_0.8-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQzPl6AAoJELs6aAGGSaoGbsgP/3Yu81RBV8KG/o7qM7yI+2JQ
+c0iXXm2f3xk9eqU6RH72Cul+itOSJmu/0mgSnD1xbLfB/vhwDa8HDvYNYoFkoda
7VnlCYHGXoU4qAmJpS0YjFj8LpKhEpTlXjtfmoxscgS4i3RveMuJxe7SLaJFwSkS
t4/ORRWS4gHdS/yRFGwgpSbsdx72dMG3oOmPyAEj5+iSiZ8yxy9WQPqrrvIm/1Qh
e+g87YRqpXKqRcuWdTxF32OQ8rpua10Y8Z6Sjpz0YzmPLqhXXBKy1XdOl6gmAPAV
v+dD5BbHdPmYtRZ53uySowQnqR2eSIDvsASglaJYdOIm3HYHVx6af998JC8KpfnC
fgCFvV9BtCtqMpSHNQR30U295Xi/k2tQ5QwOvv+uoaKkeWvXnIU2dGp2kETGwE/i
oJ3HwlwxzDAoy0cAIpXUmq9BvKnEUFi7u8mN5xRQBnpq50Xnk2Z13S+E5PNluq/b
k51W/wPLEeui55rWQkALZ45TqwXrPeNsxEBPBpEA+MxQG8M70GgBhjmNRBvG/Z2V
iAPEEk8ZgaylBqCYXL0Ta3fyFjExkxw8isE1ini7qBBAzSP85NNimf+SgjmS2be5
y3HFT/B2KlZK/CD6Zy8rLhf3xNmjLnDdciHp1R6aTmvdiv72oUGUZL+wdYZKYvvU
oxgOABiMDOSBU2sCKfSi
=UmFN
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 07 Feb 2013 07:26:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:58:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.